SwiftEnterprise 9.4.1 Release Notes

23 Dec 2021

1. Release Summary

Swiftenterprise 9.4.1

2. Issue Addressed

We have been closely following the Log4j security vulnerabilities that were identified after our 9.4 release. We have upgraded Log4j to latest version (2.17) in this release, so that the security vulnerabilities are mitigated.

3. Platform Supported

Swiftenterprise 9.4.1 Platform

4. Deliverables

Swiftenterprise 9.4.1 Deliverables

5. Annexure 1: Release Compatibility

Release Compatibility: SwiftEnterprise 9.0.0 and above means, while upgrading an existing customer installation of SwiftEnterprise, you will consider following –

5.1 Upgrading the database component

  1. If your current release is prior to SwiftEnterprise 9.0.0, then you must upgrade the database by running DB.EXE for all the interim releases up to SwiftEnterprise 9.0.0.
  2. Once you have reached 9.0.0 version, you can directly run SwiftEnterprise 9.4.1 DB.EXE
  3. If your current release is SwiftEnterprise 9.0.0 or above, you can directly run SwiftEnterprise 9.4.1 DB.EXE

5.2 Upgrading the WildFly component

  1. Make deployment as mentioned in the ReadME.pdf, present in the SwiftEnterprise 9.4.1 release folder.
  2. If your current release is SwiftEnterprise 9.4.0, then follow the deployment impact present in this release document.
  3. If your current releaseis prior to SwiftEnterprise 9.4.0, you must apply the deployment impacts mentioned in all the interim releases up to SwiftEnterprise 9.4.0. Once that is done, then follow the deployment impact present in this release document.

5.3 MSP Plugin Version

The MSP Plugin Version is not tied to release compatibility. It is changed whenever there are fixes or enhancements in the plugin code. The MSP plugin version is mentioned in the Release Summary section of the Release Notes. We append ‘updated’ tag to the version number if there is a change in the plugin version shipped in the previous SwiftEnterprise release.